Package ru.bitel.bgbilling.modules.phone.server.bean

# Class PhoneLocationUploader

java.lang.Object
ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension
ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader
ru.bitel.bgbilling.modules.phone.server.bean.PhoneLocationUploader

public class PhoneLocationUploader extends ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader

  `con`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension

  `moduleId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneLocationUploader(int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow>`
  `getNoObjectNumber()`
  `List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow>`
  `getObjectNumber()`
  `List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow>`
  `getRowList()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader

  `init`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension

  `getmoduleId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhoneLocationUploader

    public PhoneLocationUploader(int moduleId)

- ## Method Details

  - ### getRowList

    public List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow> getRowList() throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `getRowList` in class `ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getObjectNumber

    public List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow> getObjectNumber() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getNoObjectNumber

    public List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow> getNoObjectNumber() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`